import { PaginationData } from "@/types/pagination";
import { ReactNode } from "react";
import { Column } from "react-table";

export type ColumnData = Column[];

export type TableData = Column<{}>;

export type TableProps = {
  addButton?: ReactNode;
  columnsData: ColumnData;
  tableData: TableData[];
  paginate?: PaginationData;
  showSearch?: boolean;
  isSelectable?: boolean;
  showPageSize?: boolean;
  onEdit?: (id: number) => void;
  onDelete?: (id: number) => void;
  onAdd?: () => void;
  actionSlot?: (index: number) => void;
  filterSlot?: ReactNode;
  cellRenderer?: (cell: any) => void;
  showActions?: boolean;
  onSelectionChange?: (selectedRows: any[]) => void;
  pageSize?: number;
};
